# File

Below is an overview of all actions that can be accessed from this menu.

| UI Action Name                                               | Action Name                | Description                                                                                                                            |
| ------------------------------------------------------------ | -------------------------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| [New instance](/ida-actions/newinstance.md)                  | `NewInstance`              | Open a new IDA instance                                                                                                                |
| [Open...](/ida-actions/loadnewfile.md)                       | `LoadNewFile`              | Load a new file or database                                                                                                            |
| [Reload the input file](/ida-actions/reloadfile.md)          | `ReloadFile`               | Reload the input file.                                                                                                                 |
| [Additional binary file...](/ida-actions/loadfile.md)        | `LoadFile`                 | Load additional binary file.                                                                                                           |
| [IDS/IDT file...](/ida-actions/loadidsfile.md)               | `LoadIdsFile`              | Load a symbol file (IDS).                                                                                                              |
| [PDB file...](/ida-actions/loadpdbfile.md)                   | `LoadPdbFile`              | Load a debug information file (PDB).                                                                                                   |
| [DBG file...](/ida-actions/loaddbgfile.md)                   | `LoadDbgFile`              | Load a debug information file (DBG).                                                                                                   |
| [TDS file...](/ida-actions/loadtdsfile.md)                   | `LoadTdsFile`              | Load a debug information file (TDS).                                                                                                   |
| [FLIRT signature file...](/ida-actions/loadsigfile.md)       | `LoadSigFile`              | Load a FLIRT signature file.                                                                                                           |
| [Parse C header file...](/ida-actions/loadheaderfile.md)     | `LoadHeaderFile`           | This command allows you to apply type declarations from a C header file to the program.                                                |
| [Create MAP file...](/ida-actions/producemap.md)             | `ProduceMap`               | Create a map information file.                                                                                                         |
| [Create ASM file...](/ida-actions/produceasm.md)             | `ProduceAsm`               | Create an assembler file.                                                                                                              |
| [Create INC file...](/ida-actions/produceinc.md)             | `ProduceInc`               | Create an include file.                                                                                                                |
| [Create LST file...](/ida-actions/producelst.md)             | `ProduceLst`               | Create a listing file.                                                                                                                 |
| [Create EXE file...](/ida-actions/produceexe.md)             | `ProduceExe`               | Create an executable file.                                                                                                             |
| [Create DIF file...](/ida-actions/producediff.md)            | `ProduceDiff`              | Create a difference file.                                                                                                              |
| Create C file...                                             | `hx:CreateCFile`           |                                                                                                                                        |
| [Create HTML file...](/ida-actions/producehtml.md)           | `ProduceHtml`              | Create a HTML file.                                                                                                                    |
| Create SIG file...                                           | `makesig:create_signature` |                                                                                                                                        |
| [Create flow chart GDL...](/ida-actions/producefuncgdl.md)   | `ProduceFuncGdl`           | Create flow chart GDL.                                                                                                                 |
| [Create call graph GDL...](/ida-actions/producecallgdl.md)   | `ProduceCallGdl`           | Create call graph GDL.                                                                                                                 |
| [Create C header file...](/ida-actions/produceheader.md)     | `ProduceHeader`            | Creates a header file from local types.                                                                                                |
| [Dump database to IDC file...](/ida-actions/dumpdatabase.md) | `DumpDatabase`             | Dump database to IDC file. This command saves current IDA database into a text file.                                                   |
| [Dump typeinfo to IDC file...](/ida-actions/dumptypes.md)    | `DumpTypes`                | Dump type information to IDC file. This command saves information about the user-defined types from the IDA database into a text file. |
| [Script file...](/ida-actions/execute.md)                    | `Execute`                  | Execute a script file                                                                                                                  |
| [Script command...](/ida-actions/executeline.md)             | `ExecuteLine`              | Execute a script command                                                                                                               |
| [Save](/ida-actions/savebase.md)                             | `SaveBase`                 | Save the database                                                                                                                      |
| [Save as...](/ida-actions/savebaseas.md)                     | `SaveBaseAs`               | Save the database as...                                                                                                                |
| [Take database snapshot...](/ida-actions/savebasesnap.md)    | `SaveBaseSnap`             | Take database snapshot.                                                                                                                |
| [Close](/ida-actions/closebase.md)                           | `CloseBase`                | Close                                                                                                                                  |
| [Quick start](/ida-actions/quickstart.md)                    | `QuickStart`               | Display the quick start window                                                                                                         |
| [Exit](/ida-actions/quitida.md)                              | `QuitIDA`                  | Save everything and exit IDA                                                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/user-interface/reference/menu-bar-actions/common-actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
